---
- name: Import required variable tasks
  import_tasks: required_variables.yml

- name: "include os variables"
  include_vars:
  with_first_found:
    - files:
        - "{{ ansible_os_family }}.yml"
      skip: true

- name: Import Security role
  import_role:
    name: ansible_role_security
  vars:
    security: "{{ haproxy_security }}"
  when: haproxy_security is defined

- include_tasks: pkg_install.yml
  tags:
    - configure-haproxy

- include_tasks: configure_haproxy.yml
  tags:
    - configure-haproxy

# We need to ensure that the configuration is reloaded
# if the configuration changed
- meta: flush_handlers
